webpackJsonp([0],{

/***/ 117:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return LoginPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(44);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_common_http__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_forms__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_keyboard__ = __webpack_require__(220);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_geolocation___ = __webpack_require__(222);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_screen_orientation__ = __webpack_require__(118);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ionic_native_user_agent__ = __webpack_require__(223);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__utils_loadProviderStyle__ = __webpack_require__(119);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__ionic_storage__ = __webpack_require__(51);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__home_home__ = __webpack_require__(126);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__ionic_native_app_version__ = __webpack_require__(67);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};












const jsonHttpOptions = {
    headers: new __WEBPACK_IMPORTED_MODULE_2__angular_common_http__["c" /* HttpHeaders */]({ 'Accept': 'application/json', 'Content-Type': 'application/json' })
};
let LoginPage = class LoginPage {
    constructor(http, toastCtrl, formBuilder, storage, keyboard, appVersion, app, geolocation, platform, screenOrientation, userAgent, alertCtrl) {
        this.http = http;
        this.toastCtrl = toastCtrl;
        this.formBuilder = formBuilder;
        this.storage = storage;
        this.keyboard = keyboard;
        this.appVersion = appVersion;
        this.app = app;
        this.geolocation = geolocation;
        this.platform = platform;
        this.screenOrientation = screenOrientation;
        this.userAgent = userAgent;
        this.alertCtrl = alertCtrl;
        this.expired = false;
        this.providers = [];
        this.showProviders = false;
        this.isLoginLoading = false;
        this.hasLoginResponse = false;
        this.loginResponse = -1;
        this.showList = false;
        this.protocol = "https";
        this.showDropDown = false;
        this.dropDownName = "";
        var getVersion = this.appVersion.getVersionNumber();
        var getVersionCode = this.appVersion.getVersionCode();
        var getAppName = this.appVersion.getAppName();
        Promise.all([getVersion, getVersionCode, getAppName]).then((arrayOfResults) => {
            var version = arrayOfResults[0];
            this.appInfo = arrayOfResults[2] + " v" + version;
            this.versionCode = +arrayOfResults[1];
            this.versionApp = version + "-" + this.versionCode;
            this.userAgent.reset().then((res) => {
                this.userAgent.set(res + " cdntv-android/" + this.versionApp)
                    .then((res) => { })
                    .catch((error) => { });
            }).catch((error) => { });
        });
        this.loginFg = this.formBuilder.group({
            uname: ['', __WEBPACK_IMPORTED_MODULE_3__angular_forms__["f" /* Validators */].required],
            pwd: ['', __WEBPACK_IMPORTED_MODULE_3__angular_forms__["f" /* Validators */].required],
            provider: [''],
        });
        this.getGPSLocation();
    }
    getIPLocation(ip) {
        fetch('http://ip-api.com/json/' + ip)
            .then(response => {
            return response.json();
        })
            .then(data => {
            // Work with JSON data here
            this.storage.set('lat', data.lat);
            this.storage.set('lon', data.lon);
        })
            .catch(err => { });
    }
    getMyIP() {
        fetch('https://ip.seeip.org/json')
            .then(response => {
            return response.json();
        })
            .then(data => {
            // Work with JSON data here
            this.getIPLocation(data.ip);
        })
            .catch(err => { });
    }
    getGPSLocation() {
        this.platform.ready().then(() => {
            this.geolocation.getCurrentPosition({ timeout: 5000, maximumAge: Infinity, enableHighAccuracy: true }).then((resp) => {
                this.storage.set('lat', resp.coords.latitude);
                this.storage.set('lon', resp.coords.longitude);
            }).catch(() => { this.getMyIP(); });
        });
    }
    getProviders(ev) {
        let val = ev.target.value.toLowerCase();
        if (val && val.trim() != '' && val.length >= 3) {
            let suggestions = [];
            let choices = this.providers;
            for (let i = 0; i < choices.length; i++)
                if (~(choices[i].edge + ' ' + choices[i].name).toLowerCase().indexOf(val))
                    suggestions.push(choices[i]);
            this.showList = true;
            this.suggestions = suggestions;
        }
        else {
            this.showList = false;
        }
    }
    selectedProvider(ev) {
        this.loginFg.patchValue({
            provider: ev.edge,
        });
        this.showList = false;
    }
    ngAfterViewInit() {
        this.http.get('assets/config.json').subscribe(data => {
            this.managerUrl = data.managerUrl;
            try {
                Object(__WEBPACK_IMPORTED_MODULE_8__utils_loadProviderStyle__["a" /* default */])(this.managerUrl, this.http).then(response => {
                    this.loadConfig(response);
                }).catch(e => {
                    this.loadConfig(data);
                });
            }
            catch (error) {
                console.log('error', error);
                this.loadConfig(data);
            }
            ;
        });
    }
    loadConfig(data) {
        try {
            this.showDropDown = data.showDropDown ? data.showDropDown : this.showDropDown;
            this.dropDownName = data.dropDownName ? data.dropDownName : this.dropDownName;
            this.hasBackground = data.hasBackground ? data.hasBackground : this.hasBackground;
            this.protocol = data.protocol ? data.protocol : this.protocol;
            this.folderName = data.folderName ? data.folderName : this.folderName;
            this.putBackground();
            if (data.providersList) {
                this.http.get(data.providersList).subscribe(response => {
                    try {
                        this.showProviders = true;
                        this.providers = response;
                        if (data.managerUrl == 's2.cdn.tv.br' || data.managerUrl == 'demo.cdn.tv.br') {
                            var demo = new Provider();
                            demo.edge = 'demo.cdn.tv.br';
                            demo.name = 'Demo';
                            this.providers.unshift(demo);
                        }
                        this.providers.map(res => {
                            Object.assign(res, { edge: res.edge.trim() });
                        });
                        this.loginFg = this.formBuilder.group({
                            uname: ['', __WEBPACK_IMPORTED_MODULE_3__angular_forms__["f" /* Validators */].required],
                            pwd: ['', __WEBPACK_IMPORTED_MODULE_3__angular_forms__["f" /* Validators */].required],
                            provider: [this.providers[0].edge, __WEBPACK_IMPORTED_MODULE_3__angular_forms__["f" /* Validators */].required]
                        });
                    }
                    catch (e) { }
                });
            }
            this.storage.remove('pwd');
            var getProvider = this.storage.get('managerUrl');
            var getRtoken = this.storage.get('rtoken');
            var getExpired = this.storage.get('expired');
            Promise.all([getProvider, getRtoken, getExpired]).then((arrayOfResults) => {
                var provider = arrayOfResults[0];
                var rtoken = arrayOfResults[1];
                var expired = arrayOfResults[2];
                if (this.showProviders && provider !== null) {
                    this.managerUrl = provider;
                }
                //Load main logo
                this.mainLogo = this.protocol + "://" + this.managerUrl + "/logo/main-logo.png";
                if (expired) {
                    this.expired = true;
                    this.storage.remove('expired');
                }
                if (rtoken) {
                    var data = { "token": rtoken };
                    this.loginAuth(data, true);
                }
                else {
                    this.initLogin();
                }
            });
        }
        catch (e) {
            let alerta = this.alertCtrl.create({
                title: 'Erro!',
                message: 'Falha ao carregar configuração.',
                buttons: [
                    {
                        text: 'Sair',
                        role: 'exit',
                        handler: () => {
                            this.platform.exitApp();
                        }
                    }
                ]
            });
            alerta.present();
        }
    }
    putBackground() {
        Promise.all([this.hasBackground, this.folderName]).then(() => {
            if (this.hasBackground) {
                this.screenOrientation.onChange().subscribe(() => {
                    if (this.screenOrientation.type.includes('portrait')) {
                        document.getElementById('login-modal').style.backgroundImage = 'url("assets/backgrounds/' + this.folderName + '/portrait.png")';
                        document.getElementById('login-modal').style.paddingTop = "40%";
                    }
                    else {
                        document.getElementById('login-modal').style.backgroundImage = 'url("assets/backgrounds/' + this.folderName + '/landscape.png")';
                        document.getElementById('login-modal').style.paddingTop = "10%";
                    }
                });
                if (this.screenOrientation.type.includes('portrait')) {
                    document.getElementById('login-modal').style.backgroundImage = 'url("assets/backgrounds/' + this.folderName + '/portrait.png")';
                    document.getElementById('login-modal').style.paddingTop = "40%";
                }
                else {
                    document.getElementById('login-modal').style.backgroundImage = 'url("assets/backgrounds/' + this.folderName + '/landscape.png")';
                    document.getElementById('login-modal').style.paddingTop = "10%";
                }
                document.getElementById('login-modal').style.backgroundPosition = "center";
                document.getElementById('login-modal').style.backgroundSize = "100% 100%";
            }
        });
    }
    loginAuth(data, auto = false) {
        if (!auto) {
            this.expired = false;
            this.hasLoginResponse = false;
            this.isLoginLoading = true;
        }
        this.http.post(this.protocol + "://" + this.managerUrl + "/auth", data, jsonHttpOptions).subscribe(response => {
            try {
                var now = new Date();
                var lifetime = response.lifetime * 1000;
                var expire = now.getTime() + lifetime;
                this.storage.set('token', response.token);
                this.storage.set('expire', expire);
                this.storage.set('protocol', this.protocol);
                //Load user
                if (!auto) {
                    this.storage.set('rtoken', response.rtoken);
                    this.storage.set('user', data.username);
                    //Could get name and email too
                }
                //"this.navCtrl.setRoot(HomePage);" doesn't work properly
                this.storage.set('managerUrl', this.managerUrl);
                this.app.getRootNavs()[0].root = __WEBPACK_IMPORTED_MODULE_10__home_home__["a" /* HomePage */];
            }
            catch (e) {
                if (!auto) {
                    setTimeout(() => {
                        this.isLoginLoading = false;
                        this.hasLoginResponse = true;
                        this.loginResponse = 1;
                    }, 1000);
                }
                else {
                    this.initLogin();
                }
            }
        }, error => {
            if (!auto) {
                setTimeout(() => {
                    this.isLoginLoading = false;
                    this.hasLoginResponse = true;
                    this.loginResponse = error.status;
                }, 1000);
            }
            else {
                this.initLogin();
            }
        });
    }
    loginSubmit() {
        if (this.showProviders) {
            this.managerUrl = this.loginFg.value["provider"];
        }
        var name = this.loginFg.value["uname"];
        var pwd = this.loginFg.value["pwd"];
        var getLat = this.storage.get('lat');
        var getLon = this.storage.get('lon');
        Promise.all([getLat, getLon]).then((arrayOfResults) => {
            var lat = arrayOfResults[0];
            var lon = arrayOfResults[1];
            var data = { "username": name, "password": pwd, "version": this.versionApp, "location": { "latitude": lat, "longitude": lon } };
            this.loginAuth(data);
        });
    }
    toast(message, duration, position) {
        let toast = this.toastCtrl.create({
            message: message,
            duration: duration * 1000,
            position: position,
        });
        toast.present();
    }
    initLogin() {
        document.getElementById('login-modal').style.display = 'block';
        setTimeout(() => {
            this.unameInput.setFocus();
            this.keyboard.show();
        }, 1000);
    }
    handleKeyboardEvent(event) {
        if (event.key === 'Enter') {
            this.loginSubmit();
        }
    }
};
__decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])('uname'),
    __metadata("design:type", Object)
], LoginPage.prototype, "unameInput", void 0);
__decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])('provider'),
    __metadata("design:type", Object)
], LoginPage.prototype, "providerInput", void 0);
__decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["y" /* HostListener */])('document:keydown', ['$event']),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [KeyboardEvent]),
    __metadata("design:returntype", void 0)
], LoginPage.prototype, "handleKeyboardEvent", null);
LoginPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
        selector: 'page-login',template:/*ion-inline-start:"/Users/cdntv/www/cdntv-android/ionic/src/pages/login/login.html"*/'<ion-header>\n  <ion-navbar align-title="center">\n    <ion-title text-center>\n      <img class="main-logo" src="{{mainLogo}}">\n    </ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content padding>\n  <div id="login-modal" class="modal" style="display: none;" >\n\n    <form [formGroup]="loginFg" (ngSubmit)="loginSubmit()" class="modal-content modal-animate">\n      <div class="modal-container">\n        <div style="width: 100%; text-align: center; margin: 5px auto 10px auto;">\n          <p class="expired-login" *ngIf="expired">Sessão expirada!</p>\n        </div>\n        <div style="position: relative;" class="wrapper" *ngIf="!showDropDown">\n          <ion-item style="padding-left: 0;" *ngIf="showProviders">\n            <ion-input type="text" placeholder="Provedor" (input)="getProviders($event)" formControlName="provider"></ion-input>\n          </ion-item>\n          <ion-list *ngIf="showList" class="providers-list">\n            <ion-item *ngFor="let provider of suggestions" (click)="selectedProvider(provider)" class="providers-list-item">\n              <span style="font-weight: 700">{{ provider.name }}</span> <span style="color: #444; font-size: 1.4rem;">{{\n                provider.edge }}</span>\n            </ion-item>\n          </ion-list>\n        </div>\n        <div style="position: relative;" class="wrapper" *ngIf="showDropDown">\n          <ion-item style="padding-left: 0;"  >\n            <ion-select placeholder="{{dropDownName}}" *ngIf="showProviders" style="max-width:100%;width:100%;">\n              <ion-option *ngFor="let provider of providers" (ionSelect)="selectedProvider(provider)" class="providers-list-item">\n                <span style="font-weight: 700">{{ provider.name }}</span> <span style="color: #444; font-size: 1.4rem;">{{\n                  provider.edge }}</span>\n              </ion-option>\n            </ion-select>\n          </ion-item> \n        </div>\n\n        <ion-item style="padding-left: 0;">\n          <ion-input type="text" autocapitalize="none" placeholder="Usuário" formControlName="uname" #uname></ion-input>\n        </ion-item>\n\n        <ion-item style="padding-left: 0;">\n          <ion-input type="password" placeholder="Senha" formControlName="pwd"></ion-input>\n        </ion-item>\n\n        <button ion-button type="submit" [disabled]="!loginFg.valid" class="login-submit-button">Entrar</button>\n\n        <div style="width: 100%; text-align: center; margin: 10px auto 5px auto;">\n          <ion-spinner *ngIf="isLoginLoading" name="bubbles"></ion-spinner>\n          <div class="expired-login" *ngIf="hasLoginResponse">\n            <p *ngIf="loginResponse==0">Não foi possível conectar a <a style="text-decoration: none" href="https://{{managerUrl}}">{{managerUrl}}</a>!\n              Verifique sua conexão com este domínio</p>\n            <p *ngIf="loginResponse==401">Credenciais de acesso inválidas!</p>\n            <p *ngIf="loginResponse==403">Usuário bloqueado pelo sistema! Entre em contato com o provedor.</p>\n            <p *ngIf="loginResponse==429">Máximo de sessões da conta foi atingido!</p>\n            <p *ngIf="loginResponse>=500 && loginResponse<510">Erro inesperado no servidor de autenticação!</p>\n            <p *ngIf="(loginResponse!=0 && loginResponse!=401 && loginResponse!=403 && loginResponse!=429 && loginResponse<500) || loginResponse>=510">\n              Erro inesperado no sistema ({{loginResponse}})!</p>\n          </div>\n        </div>\n      </div>\n    </form>\n  </div>\n\n  <div id="modalError" style="display:none">\n    <p>Falha ao carregar a configuração.</p>\n    <button ion-button type="submit" [disabled]="!loginFg.valid" class="login-submit-button">Entrar</button>\n  </div>\n</ion-content>'/*ion-inline-end:"/Users/cdntv/www/cdntv-android/ionic/src/pages/login/login.html"*/
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2__angular_common_http__["a" /* HttpClient */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* ToastController */], __WEBPACK_IMPORTED_MODULE_3__angular_forms__["a" /* FormBuilder */], __WEBPACK_IMPORTED_MODULE_9__ionic_storage__["b" /* Storage */], __WEBPACK_IMPORTED_MODULE_4__ionic_native_keyboard__["a" /* Keyboard */], __WEBPACK_IMPORTED_MODULE_11__ionic_native_app_version__["a" /* AppVersion */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["c" /* App */], __WEBPACK_IMPORTED_MODULE_5__ionic_native_geolocation___["a" /* Geolocation */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* Platform */], __WEBPACK_IMPORTED_MODULE_6__ionic_native_screen_orientation__["a" /* ScreenOrientation */], __WEBPACK_IMPORTED_MODULE_7__ionic_native_user_agent__["a" /* UserAgent */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */]])
], LoginPage);

class AuthResponse {
}
/* unused harmony export AuthResponse */

class Config {
}
/* unused harmony export Config */

class Provider {
}
/* unused harmony export Provider */

class HttpConfig {
}
/* unused harmony export HttpConfig */

class Shop {
}
/* unused harmony export Shop */

//# sourceMappingURL=login.js.map

/***/ }),

/***/ 119:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_common_http__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__hexToRgb__ = __webpack_require__(333);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ts_polyfill_lib_es2018_promise__ = __webpack_require__(334);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ts_polyfill_lib_es2018_promise___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_ts_polyfill_lib_es2018_promise__);



const jsonHttpOptions = {
    headers: new __WEBPACK_IMPORTED_MODULE_0__angular_common_http__["c" /* HttpHeaders */]({ 'Accept': 'application/json', 'Content-Type': 'application/json' })
};
/* harmony default export */ __webpack_exports__["a"] = (function (managerUrl, http) {
    return new Promise((resolve, reject) => {
        http.get(`${"http"}://${managerUrl}/config`, jsonHttpOptions).subscribe(response => {
            let player = response.data.find(player => { return player.type_id == 2; });
            if (!player) {
                reject({ error: "Não há nenhuma customização para o player mobile. Carregando configurações padrões." });
            }
            let topColor = [
                'toolbar-background-md',
                'toolbar-background-ios',
            ];
            let buttonColor = ['login-submit-button'];
            let backgroundColor = [
                'content-md',
                'content-ios',
                'channel-logo',
                'playlist-refresh',
                'playlist-refresh-no-channels',
                'menu-item'
            ];
            addStyle(topColor, player, 'topColor');
            addStyle(buttonColor, player, 'buttonColor');
            addStyle(backgroundColor, player, 'backgroundColor');
            resolve(player);
        }, error => {
            reject({ error: "CDNTV Play API não está instalado neste cliente. Carregando configurações padrões." });
        });
    });
});
class HttpConfig {
}
/* unused harmony export HttpConfig */

function addStyle(menuColor, player, key) {
    for (let className of menuColor) {
        let items = document.getElementsByClassName(className);
        for (let item of items) {
            item.style.backgroundColor = player[key];
            if (key == 'backgroundColor') {
                let { r, g, b, a } = Object(__WEBPACK_IMPORTED_MODULE_1__hexToRgb__["a" /* default */])(player[key], player.backgroundTransparency);
                let color = `rgba(${r},${g},${b},${a})`;
                item.style.backgroundColor = color;
            }
            else if (key == 'topColor') {
                let { r, g, b, a } = Object(__WEBPACK_IMPORTED_MODULE_1__hexToRgb__["a" /* default */])(player[key], player.topColorTransparency);
                let color = `rgba(${r},${g},${b},${a})`;
                item.style.backgroundColor = color;
            }
        }
    }
}
//# sourceMappingURL=loadProviderStyle.js.map

/***/ }),

/***/ 126:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HomePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(44);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_common_http__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_screen_orientation__ = __webpack_require__(118);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_sha1__ = __webpack_require__(370);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4_sha1___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_4_sha1__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_storage__ = __webpack_require__(51);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__login_login__ = __webpack_require__(117);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ionic_native_app_version__ = __webpack_require__(67);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__utils_loadProviderStyle__ = __webpack_require__(119);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var HomePage_1;









const jsonHttpOptions = {
    headers: new __WEBPACK_IMPORTED_MODULE_2__angular_common_http__["c" /* HttpHeaders */]({ 'Accept': 'application/json', 'Content-Type': 'application/json' })
};
let HomePage = HomePage_1 = class HomePage {
    constructor(http, screenOrientation, toastCtrl, storage, app, platform, alertCtrl, actionSheetCtrl, appVersion, loadingCtrl) {
        this.http = http;
        this.screenOrientation = screenOrientation;
        this.toastCtrl = toastCtrl;
        this.storage = storage;
        this.app = app;
        this.platform = platform;
        this.alertCtrl = alertCtrl;
        this.actionSheetCtrl = actionSheetCtrl;
        this.appVersion = appVersion;
        this.loadingCtrl = loadingCtrl;
        this.totalChannels = 0;
        this.channelsHeader = "0 Canais";
        this.showHeader = true;
        this.expire = null;
        this.lastChannelId = null;
        this.tokenRenewTime = null;
        this.isDemo = false;
        this.initCast = false;
        this.castStarted = false;
        this.castName = "GoogleCast";
        this.currentTokenExpire = null;
        this.changeTokenTime = null;
        this.protocol = "https";
        this.searchTerm = '';
        this.allData = []; //Store all data from provider
        this.filterData = []; //Store filtered data
        /**Parental defaults*/
        this.parental = "hide";
        this.userRating = 16;
        this.parpass = "39dfa55283318d31afe5a3ff4a0e3253e2045e43"; //0000
        var getVersion = this.appVersion.getVersionNumber();
        var getVersionCode = this.appVersion.getVersionCode();
        var getAppName = this.appVersion.getAppName();
        Promise.all([getVersion, getVersionCode, getAppName]).then((arrayOfResults) => {
            var version = arrayOfResults[0];
            this.appInfo = arrayOfResults[2] + " v" + version;
            this.versionCode = +arrayOfResults[1];
            this.versionApp = version + " - " + this.versionCode;
        });
        this.screenOrientation.onChange().subscribe(() => {
            //  resizePlayer();
            if (this.screenOrientation.type == this.screenOrientation.ORIENTATIONS.LANDSCAPE_PRIMARY || this.screenOrientation.type == this.screenOrientation.ORIENTATIONS.LANDSCAPE_SECONDARY || this.screenOrientation.type == this.screenOrientation.ORIENTATIONS.LANDSCAPE) {
                this.navBar.setHidden(true);
                setTimeout(() => {
                    hideHeader();
                }, 100);
            }
            else {
                this.navBar.setHidden(false);
                setTimeout(() => {
                    showHeader();
                }, 100);
            }
        });
        this.platform.resume.subscribe(() => {
            if (!this.castStarted) {
                startPlayer();
            }
            else {
                this.playToCast();
            }
        });
        this.platform.pause.subscribe(() => {
            stopPlayer();
        });
        this.platform.ready().then((readySource) => {
            this.loading = this.loadingCtrl.create({
                content: 'Carregando conteúdo...'
            });
            this.loading.present();
            this.initCastSender();
        });
    }
    //ngAfterViewInit() {
    initData() {
        var getUser = this.storage.get('user');
        var getRtoken = this.storage.get('rtoken');
        var getToken = this.storage.get('token');
        var getExpire = this.storage.get('expire');
        var getManagerUrl = this.storage.get('managerUrl');
        var getLastChannel = this.storage.get('lastChannel');
        var getProtocol = this.storage.get('protocol');
        Promise.all([getUser, getRtoken, getToken, getExpire, getManagerUrl, getLastChannel, getProtocol]).then((arrayOfResults) => {
            [this.user, this.rtoken, this.token, this.expire, this.managerUrl, this.lastChannelId, this.protocol] = arrayOfResults;
            Object(__WEBPACK_IMPORTED_MODULE_8__utils_loadProviderStyle__["a" /* default */])(this.managerUrl, this.http)
                .then((result) => { })
                .catch((error) => { })
                .finally(() => { this.loadSettings(); });
        });
    }
    loadSettings() {
        if (this.managerUrl == 's2.cdn.tv.br' || this.managerUrl == 'demo.cdn.tv.br') {
            this.isDemo = true;
        }
        this.mainLogo = this.protocol + "://" + this.managerUrl + "/logo/main-logo.png";
        this.renewToken();
        setManager(this.managerUrl);
        setProtocol(this.protocol);
        this.refresh();
    }
    toast(message, duration, position) {
        let toast = this.toastCtrl.create({
            message: message,
            duration: duration * 1000,
            position: position,
        });
        toast.present();
    }
    onSwipe(event) {
        let list = document.querySelectorAll("[title]");
        let scroll = document.querySelector("#playlistScrollable");
        if (event.direction == 2) { //left to right
            this.changeNextChannel(list, scroll);
        }
        else if (event.direction == 4) { //right to left
            this.changePrevChannel(list, scroll);
        }
    }
    changePrevChannel(list, scroll) {
        if (this.currentChannel.index == 0) { //first
            this.changeLastChannel(list, scroll);
        }
        else {
            this.switch(this.channels[this.currentChannel.index - 1]);
            if (this.currentChannel.index == 0) { //bug fix
                this.cursorFocus(list[0], scroll);
            }
            else {
                this.cursorFocus(list[this.currentChannel.index - 1], scroll);
            }
        }
    }
    changeNextChannel(list, scroll) {
        if (this.currentChannel.index == this.channels.length - 1) { //last
            this.changeFirstChannel(list, scroll);
        }
        else {
            this.switch(this.channels[this.currentChannel.index + 1]);
            if (this.currentChannel.index == this.channels.length - 1) { //bug fix
                this.cursorFocus(list[this.channels.length - 1], scroll);
            }
            else {
                this.cursorFocus(list[this.currentChannel.index + 1], scroll);
            }
        }
    }
    changeLastChannel(list, scroll) {
        this.switch(this.channels[this.channels.length - 1]);
        this.cursorFocus(list[this.channels.length - 1], scroll);
    }
    changeFirstChannel(list, scroll) {
        this.switch(this.channels[0]);
        this.cursorFocus(list[0], scroll);
    }
    cursorFocus(elem, scroll) {
        let y = elem.offsetTop;
        elem.focus();
        document.querySelector("#playlistScrollable").scrollTo(0, y - scroll.scrollHeight / this.channels.length);
    }
    renewToken() {
        var data = null;
        if (this.rtoken) {
            //renew token with token
            var getLat = this.storage.get('lat');
            var getLon = this.storage.get('lon');
            Promise.all([getLat, getLon]).then((arrayOfResults) => {
                var [lat, lon] = arrayOfResults;
                data = JSON.stringify({ "token": this.rtoken, "version": this.versionApp, "location": { "latitude": lat, "longitude": lon }, "useragent": navigator.userAgent });
                this.getToken(data);
            });
        }
        else {
            //logout
            this.logout(true);
        }
    }
    setFilteredLocations() {
        this.filterData = this.allData.filter((location) => {
            return location.name.toLowerCase().indexOf(this.searchTerm.toLowerCase()) > -1;
        });
    }
    getToken(data) {
        var now = new Date();
        this.http.post(this.protocol + "://" + this.managerUrl + "/auth", data, jsonHttpOptions).subscribe(response => {
            try {
                var now = new Date();
                var lifetime = response.lifetime * 1000;
                var expire = now.getTime() + lifetime;
                this.parpass = response.parpass;
                this.userRating = response.rating;
                this.parental = response.parental;
                this.token = response.token;
                setToken(this.token);
                this.expire = expire;
                this.storage.set('token', this.token);
                this.storage.set('expire', this.expire);
                this.tokenRenewTime = Math.ceil(lifetime / 10);
                setTimeout(() => { this.renewToken(); }, this.tokenRenewTime);
            }
            catch (e) {
                if (!this.token || now.getTime() > this.expire) {
                    //Logout
                    this.logout(true);
                }
                else {
                    setTimeout(() => { this.renewToken(); }, this.tokenRenewTime);
                }
            }
        }, error => {
            if (!this.token || now.getTime() > this.expire) {
                //Logout
                this.logout(true);
            }
            else {
                setTimeout(() => { this.renewToken(); }, this.tokenRenewTime);
            }
        });
    }
    switch(ch) {
        if (this.userRating < ch.rating && this.parental == "ask") {
            this.showRestrictModal(ch);
        }
        else {
            this.currentChannel = ch;
            this.storage.set('lastChannel', ch.id);
            this.currentChannelUrl = this.protocol + "://" + this.managerUrl + ch.hls + "&t=" + this.token;
            this.http.get(this.protocol + "://" + this.managerUrl + "/channels/" + this.currentChannel.id + "?t=" + this.token, jsonHttpOptions).subscribe(response => {
                try {
                    if (response.health == 0) {
                        activateChannel(this.currentChannel);
                        showPlayerError(this.currentChannel);
                        setTimeout(() => { this.retryChannel(ch); }, 30000);
                    }
                    else {
                        this.checkTokenExpire(this.expire);
                        if (this.castStarted) {
                            this.playToCast();
                        }
                        else {
                            switchChannel(ch);
                        }
                    }
                }
                catch (e) {
                    activateChannel(this.currentChannel);
                    showPlayerError(this.currentChannel);
                }
            }, error => {
                activateChannel(this.currentChannel);
                showPlayerError(this.currentChannel);
            });
        }
    }
    retryChannel(ch) {
        if (ch == this.currentChannel) {
            this.switch(ch);
        }
    }
    isInChannels(ch) {
        for (let channel of this.channels) {
            if (channel.id == ch.id) {
                return true;
            }
        }
        return false;
    }
    static getLastChannelObject(lastChannelId, channels) {
        let i;
        for (i = 0; i < channels.length; i++) {
            if (channels[i].id == lastChannelId) {
                return channels[i];
            }
        }
        return channels[0];
    }
    refreshPage() {
        this.loading = this.loadingCtrl.create({
            content: 'Carregando conteúdo...'
        });
        this.loading.present();
        this.refresh();
    }
    refresh() {
        //Reload Channels
        this.http.get(this.protocol + "://" + this.managerUrl + "/channels?t=" + this.token, jsonHttpOptions).subscribe(channels => {
            try {
                let i;
                for (i = 0; i < channels.length; i++) {
                    if (channels[i].logo !== null && channels[i].logo.indexOf("://") < 0) {
                        channels[i].logo = this.protocol + "://" + this.managerUrl + channels[i].logo;
                    }
                    channels[i].index = i;
                }
                this.channels = channels;
                this.allData = this.channels;
                this.filterData = this.allData;
                var lastChannel = HomePage_1.getLastChannelObject(this.lastChannelId, this.channels);
                setTimeout(() => {
                    if (this.totalChannels == 0 && this.channels.length > 0) {
                        activateChannelsBody();
                        this.switch(lastChannel);
                        this.toast("Canais carregados com sucesso!", 3, "bottom");
                    }
                    else {
                        if (this.channels.length == 0) {
                            deactivateChannelsBody();
                        }
                        else {
                            if (this.isInChannels(this.currentChannel)) {
                                activateChannel(this.currentChannel);
                            }
                            else {
                                this.switch(lastChannel);
                            }
                            this.toast("Canais carregados com sucesso!", 3, "bottom");
                        }
                    }
                    this.totalChannels = this.channels.length;
                    if (this.totalChannels == 1) {
                        this.channelsHeader = "1 Canal Disponível";
                    }
                    else {
                        this.channelsHeader = this.totalChannels + " Canais Disponíveis";
                    }
                    this.loading.dismiss();
                }, 500);
            }
            catch (e) {
                setTimeout(() => {
                    deactivateChannelsBody();
                    this.loading.dismiss();
                }, 500);
            }
        }, error => {
            setTimeout(() => {
                deactivateChannelsBody();
                this.loading.dismiss();
            }, 500);
        });
    }
    logout(expired = false) {
        this.storage.remove('rtoken');
        this.storage.remove('token');
        this.storage.remove('user');
        this.storage.remove('expire');
        this.storage.set('expired', expired);
        this.app.getRootNavs()[0].root = __WEBPACK_IMPORTED_MODULE_6__login_login__["a" /* LoginPage */];
    }
    changeToken() {
        var now = new Date();
        if (now.getTime() > this.changeTokenTime) {
            document.getElementById('has-channels').style.display = "none";
            document.getElementById('still-watching-modal').style.display = "block";
            stopPlayer();
        }
    }
    checkTokenExpire(expire) {
        var now = new Date();
        var diff = expire - now.getTime();
        diff = Math.ceil(diff * 0.8); //renew token some time before expire
        this.currentTokenExpire = expire;
        this.changeTokenTime = now.getTime() + Math.ceil(diff * 0.8); //margin of error
        setTimeout(() => { this.changeToken(); }, diff);
    }
    keepWatching() {
        this.switch(this.currentChannel);
        document.getElementById('still-watching-modal').style.display = "none";
        document.getElementById('has-channels').style.display = "block";
    }
    startCast() {
        this.castStarted = true;
        document.getElementById('player').style.display = "none";
        document.getElementById('casting-info').style.display = "block";
        document.getElementById('start-cast').style.display = "none";
        document.getElementById('exit-cast').style.display = "block";
        document.getElementById('fill-cast-action').style.display = "none";
    }
    endCast() {
        this.castStarted = false;
        document.getElementById('casting-info').style.display = "none";
        document.getElementById('player').style.display = "block";
        document.getElementById('exit-cast').style.display = "none";
        document.getElementById('start-cast').style.display = "block";
        document.getElementById('fill-cast-action').style.display = "none";
    }
    initCastSender() {
        let data = {
            successCallback: (result) => {
                this.startCast();
                this.initData();
            },
            errorCallback: (a) => {
                this.endCast();
                this.initData();
            }
        };
        cordova.plugins.castSender.init(data);
    }
    listCastOptions() {
        this.getCastList();
    }
    getCastList() {
        let data = {
            successCallback: (result) => {
                let castList;
                castList = JSON.parse(result);
                this.showCastDevices(castList);
            },
            errorCallback: (error) => {
            },
        };
        cordova.plugins.castSender.getCastList(data);
    }
    castTo(id, name) {
        let data = {
            successCallback: (result) => {
                this.playToCast();
            },
            errorCallback: (error) => {
                this.toast("Unable to connect to " + name, 5, "bottom");
            },
            castId: id,
        };
        cordova.plugins.castSender.connect(data);
    }
    playToCast() {
        let data = {
            successCallback: (result) => {
                this.castName = result;
                this.startCast();
                activateChannel(this.currentChannel);
                stopPlayer();
            },
            errorCallback: (error) => {
                this.toast("Disconnected from " + this.castName, 5, "bottom");
                this.endCast();
                switchChannel(this.currentChannel);
            },
            url: this.currentChannelUrl,
            tokenLifetime: this.currentTokenExpire - new Date().getTime()
        };
        cordova.plugins.castSender.play(data);
    }
    exitCast() {
        let data = {
            successCallback: (result) => {
                this.endCast();
                switchChannel(this.currentChannel);
            },
            errorCallback: (error) => {
                this.endCast();
                switchChannel(this.currentChannel);
            },
        };
        cordova.plugins.castSender.exit(data);
    }
    showRestrictModal(ch) {
        let actionSheet = this.alertCtrl.create({
            title: 'Canal não recomendado para menores de 18',
            message: 'Para continuar assistindo, insira a senha: ',
            inputs: [
                {
                    name: 'password',
                    placeholder: 'Senha',
                    type: 'password'
                },
            ],
            buttons: [
                {
                    text: 'Cancelar',
                    role: 'cancel',
                    handler: data => {
                        return true;
                    }
                },
                {
                    text: 'Confirmar',
                    handler: data => {
                        let pwd_input = __WEBPACK_IMPORTED_MODULE_4_sha1___default()(data.password);
                        if (this.parpass == pwd_input) {
                            this.parental = "hide";
                            this.switch(ch);
                            return true;
                        }
                        actionSheet.setMessage("Para continuar assistindo, insira a senha:\nSenha inválida!");
                        return false;
                    }
                }
            ]
        });
        actionSheet.present();
    }
    showCastDevices(castList) {
        if (castList.length > 0) {
            let actionSheet = this.actionSheetCtrl.create({
                title: 'Transmitir Para...',
                enableBackdropDismiss: true
            });
            for (let i = 0; i < castList.length; i++) {
                actionSheet.addButton({
                    text: castList[i].name,
                    icon: "desktop",
                    handler: () => {
                        this.castTo(castList[i].id, castList[i].name);
                    }
                });
            }
            actionSheet.present();
        }
        else {
            let alert = this.alertCtrl.create({
                title: 'Transmitir Para...',
                message: 'Nenhum destino do Google Cast encontrado.',
                buttons: [
                    {
                        text: 'OK',
                        role: 'cancel',
                    }
                ]
            });
            alert.present();
        }
    }
};
__decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])('navBar'),
    __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* Navbar */])
], HomePage.prototype, "navBar", void 0);
HomePage = HomePage_1 = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
        selector: 'page-home',template:/*ion-inline-start:"/Users/cdntv/www/cdntv-android/ionic/src/pages/home/home.html"*/'<ion-header>\n  <ion-navbar align-title="center" #navBar>\n    <button ion-button menuToggle class="menu-button">\n      <ion-icon name="menu"></ion-icon>\n    </button>\n\n    <ion-title text-center>\n      <img class="main-logo" src="{{mainLogo}}">\n    </ion-title>\n\n    <ion-buttons end>\n      <div id="fill-cast-action" class="menu-button" style="display:block"></div>\n      <button ion-button class="menu-button" (click)=\'exitCast();\' id="exit-cast" style="display:none;">\n        <img class="header-button" src="assets/icon/stop-cast.png" />\n      </button>\n\n      <button ion-button class="menu-button" (click)=\'listCastOptions();\' id="start-cast" style="display:none;">\n        <img class="header-button" src="assets/icon/start-cast.png" />\n      </button>\n    </ion-buttons>\n  </ion-navbar>\n</ion-header>\n\n<ion-content padding>\n  <div id="has-channels" style="display:none">\n    <div class="player-body">\n      <div class="player-container">\n        <div class="player-widget">\n          <div class="player-image"></div>\n          <div class="player-content">\n            <div style="display:none;" id="player" (swipe)="onSwipe($event)"></div>\n\n            <div style="display:none; height: 100%;" id="casting-info">\n              <div class="casting-info">\n                <p id="cast-playing-info">Reproduzindo em {{castName}}</p>\n              </div>\n            </div>\n          </div>\n        </div>\n      </div>\n      <div class="player-side-panel">\n        <div class="player-side-panel-content">\n          <div class="playlist-structure">\n            <div>\n              <button ion-button (click)="refresh();" class="playlist-refresh">\n                <ion-icon name="refresh"></ion-icon>\n              </button>\n              <p class="playlist-channels-count">{{channelsHeader}}</p>\n              <ion-toolbar>\n                <ion-searchbar [(ngModel)]="searchTerm" (ionInput)="setFilteredLocations()" placeholder="Procurar canais" mode="ios" class="filterbar"></ion-searchbar>\n              </ion-toolbar>\n            </div>\n            <div class="playlist-scrollable">\n              <div class="playlist-scroll-box" id="playlistScrollable">\n                <a class="playlist-item" title="{{c.name}}" (click)="switch(c);" href="#" *ngFor="let c of filterData">\n                  <div class="playlist-item-index">\n                    <div id="ch{{c.id}}-play" class="playing-icon" style="display: none;">\n                      <ion-icon name="play"></ion-icon>\n                    </div>\n                    <div id="ch{{c.id}}-num">{{c.number}}</div>\n                  </div>\n                  <div class="playlist-item-widget">\n                    <div class="playlist-item-image"></div>\n                    <div class="playlist-item-content">\n\n                      <div class="playlist-item-logo">\n                        <img src="{{c.logo}}" />\n                      </div>\n\n                      <div id="ch{{c.id}}-watching" class="playlist-item-watching-cover" style="display: none"></div>\n                      <div id="ch{{c.id}}-watching-label" class="playlist-item-watching-label " style="display: none">\n                        Assistindo</div>\n                    </div>\n                  </div>\n                  <span>\n                    <div class="playlist-item-title">{{c.name}}</div>\n                  </span>\n                </a>\n              </div>\n            </div>\n          </div>\n        </div>\n      </div>\n    </div>\n  </div>\n\n  <div id="no-channels" style="display:none">\n    <div class="error-page-content">\n      <div class="error-page-attachments">\n        <div class="error-page-info">\n          <div class="error-page-info-text">\n            <h1>Ooops, aconteceu algo errado...</h1>\n            <p>Não foi possível obter os dados a partir do servidor. Tente novamente mais tarde.</p>\n          </div>\n        </div>\n\n        <div class="error-page-actions">\n          <a href="javascript:void(0)" (click)="refreshPage();">\n            <ion-icon name="refresh"></ion-icon><span>Recarregar</span>\n          </a>\n        </div>\n      </div>\n    </div>\n  </div>\n\n  <div id="still-watching-modal" class="modal" style="display: none">\n    <div class="modal-content modal-animate">\n      <div class="modal-container" *ngIf="!isDemo">\n        <p class="still-watching-message">Você ainda está assistindo este canal?</p>\n        <button ion-button class="modal-button" (click)="keepWatching();">Continuar Assistindo</button>\n      </div>\n\n      <div class="modal-container" *ngIf="isDemo">\n        <p class="still-watching-message">Seu período de demonstração expirou!</p>\n      </div>\n    </div>\n  </div>\n</ion-content>\n'/*ion-inline-end:"/Users/cdntv/www/cdntv-android/ionic/src/pages/home/home.html"*/
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2__angular_common_http__["a" /* HttpClient */], __WEBPACK_IMPORTED_MODULE_3__ionic_native_screen_orientation__["a" /* ScreenOrientation */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* ToastController */], __WEBPACK_IMPORTED_MODULE_5__ionic_storage__["b" /* Storage */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["c" /* App */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* Platform */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* ActionSheetController */], __WEBPACK_IMPORTED_MODULE_7__ionic_native_app_version__["a" /* AppVersion */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */]])
], HomePage);

class Channel {
}
/* unused harmony export Channel */

class AuthResponse {
}
/* unused harmony export AuthResponse */

class Config {
}
/* unused harmony export Config */

class Cast {
}
/* unused harmony export Cast */

//# sourceMappingURL=home.js.map

/***/ }),

/***/ 138:
/***/ (function(module, exports) {

function webpackEmptyAsyncContext(req) {
	// Here Promise.resolve().then() is used instead of new Promise() to prevent
	// uncatched exception popping up in devtools
	return Promise.resolve().then(function() {
		throw new Error("Cannot find module '" + req + "'.");
	});
}
webpackEmptyAsyncContext.keys = function() { return []; };
webpackEmptyAsyncContext.resolve = webpackEmptyAsyncContext;
module.exports = webpackEmptyAsyncContext;
webpackEmptyAsyncContext.id = 138;

/***/ }),

/***/ 180:
/***/ (function(module, exports) {

function webpackEmptyAsyncContext(req) {
	// Here Promise.resolve().then() is used instead of new Promise() to prevent
	// uncatched exception popping up in devtools
	return Promise.resolve().then(function() {
		throw new Error("Cannot find module '" + req + "'.");
	});
}
webpackEmptyAsyncContext.keys = function() { return []; };
webpackEmptyAsyncContext.resolve = webpackEmptyAsyncContext;
module.exports = webpackEmptyAsyncContext;
webpackEmptyAsyncContext.id = 180;

/***/ }),

/***/ 251:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AboutPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__ionic_native_app_version__ = __webpack_require__(67);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_common_http__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_storage__ = __webpack_require__(51);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__utils_loadProviderStyle__ = __webpack_require__(119);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





let AboutPage = class AboutPage {
    constructor(appVersion, http, storage) {
        this.appVersion = appVersion;
        this.http = http;
        this.storage = storage;
        this.appInfo = null;
        var getVersion = this.appVersion.getVersionNumber();
        var getAppName = this.appVersion.getAppName();
        let getManagerUrl = this.storage.get('managerUrl');
        Promise.all([getVersion, getAppName, getManagerUrl]).then((arrayOfResults) => {
            var version = arrayOfResults[0];
            this.appInfo = arrayOfResults[1] + " Mobile v" + version;
            this.managerUrl = arrayOfResults[2];
            Object(__WEBPACK_IMPORTED_MODULE_4__utils_loadProviderStyle__["a" /* default */])(this.managerUrl, this.http).then(player => { console.log("player", player); })
                .catch(error => { console.log("error", error); });
        });
    }
};
AboutPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
        selector: 'page-about',template:/*ion-inline-start:"/Users/cdntv/www/cdntv-android/ionic/src/pages/about/about.html"*/'<ion-header>\n  <ion-navbar>\n    <button ion-button menuToggle class="menu-button">\n      <ion-icon name="menu"></ion-icon>\n    </button>\n\n    <ion-title>Sobre o aplicativo</ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n  <p class="app-info">{{appInfo}}</p>\n</ion-content>\n'/*ion-inline-end:"/Users/cdntv/www/cdntv-android/ionic/src/pages/about/about.html"*/
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1__ionic_native_app_version__["a" /* AppVersion */], __WEBPACK_IMPORTED_MODULE_2__angular_common_http__["a" /* HttpClient */], __WEBPACK_IMPORTED_MODULE_3__ionic_storage__["b" /* Storage */]])
], AboutPage);

//# sourceMappingURL=about.js.map

/***/ }),

/***/ 252:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__ = __webpack_require__(253);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__app_module__ = __webpack_require__(274);


Object(__WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__["a" /* platformBrowserDynamic */])().bootstrapModule(__WEBPACK_IMPORTED_MODULE_1__app_module__["a" /* AppModule */]);
//# sourceMappingURL=main.js.map

/***/ }),

/***/ 274:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AppModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser__ = __webpack_require__(34);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(44);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_common_http__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_keyboard__ = __webpack_require__(220);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_geolocation___ = __webpack_require__(222);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_user_agent__ = __webpack_require__(223);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__app_component__ = __webpack_require__(329);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__pages_login_login__ = __webpack_require__(117);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__pages_home_home__ = __webpack_require__(126);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__pages_settings_settings__ = __webpack_require__(376);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__pages_about_about__ = __webpack_require__(251);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12__angular_forms__ = __webpack_require__(13);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_13__ionic_native_status_bar__ = __webpack_require__(224);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_14__ionic_native_splash_screen__ = __webpack_require__(225);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_15__ionic_native_android_full_screen__ = __webpack_require__(226);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_16__ionic_native_insomnia__ = __webpack_require__(227);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_17__ionic_native_screen_orientation__ = __webpack_require__(118);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_18__ionic_storage__ = __webpack_require__(51);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_19__ionic_native_app_version__ = __webpack_require__(67);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};




















let AppModule = class AppModule {
};
AppModule = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["I" /* NgModule */])({
        declarations: [
            __WEBPACK_IMPORTED_MODULE_7__app_component__["a" /* MyApp */],
            __WEBPACK_IMPORTED_MODULE_8__pages_login_login__["a" /* LoginPage */],
            __WEBPACK_IMPORTED_MODULE_9__pages_home_home__["a" /* HomePage */],
            __WEBPACK_IMPORTED_MODULE_10__pages_settings_settings__["a" /* SettingsPage */],
            __WEBPACK_IMPORTED_MODULE_11__pages_about_about__["a" /* AboutPage */]
        ],
        imports: [
            __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser__["a" /* BrowserModule */],
            __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["f" /* IonicModule */].forRoot(__WEBPACK_IMPORTED_MODULE_7__app_component__["a" /* MyApp */], {}, {
                links: []
            }),
            __WEBPACK_IMPORTED_MODULE_3__angular_common_http__["b" /* HttpClientModule */],
            __WEBPACK_IMPORTED_MODULE_18__ionic_storage__["a" /* IonicStorageModule */].forRoot(),
            __WEBPACK_IMPORTED_MODULE_12__angular_forms__["b" /* FormsModule */],
        ],
        bootstrap: [__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["d" /* IonicApp */]],
        entryComponents: [
            __WEBPACK_IMPORTED_MODULE_7__app_component__["a" /* MyApp */],
            __WEBPACK_IMPORTED_MODULE_8__pages_login_login__["a" /* LoginPage */],
            __WEBPACK_IMPORTED_MODULE_9__pages_home_home__["a" /* HomePage */],
            __WEBPACK_IMPORTED_MODULE_10__pages_settings_settings__["a" /* SettingsPage */],
            __WEBPACK_IMPORTED_MODULE_11__pages_about_about__["a" /* AboutPage */]
        ],
        providers: [
            __WEBPACK_IMPORTED_MODULE_13__ionic_native_status_bar__["a" /* StatusBar */],
            __WEBPACK_IMPORTED_MODULE_14__ionic_native_splash_screen__["a" /* SplashScreen */],
            __WEBPACK_IMPORTED_MODULE_15__ionic_native_android_full_screen__["a" /* AndroidFullScreen */],
            __WEBPACK_IMPORTED_MODULE_16__ionic_native_insomnia__["a" /* Insomnia */],
            __WEBPACK_IMPORTED_MODULE_17__ionic_native_screen_orientation__["a" /* ScreenOrientation */],
            __WEBPACK_IMPORTED_MODULE_4__ionic_native_keyboard__["a" /* Keyboard */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_native_geolocation___["a" /* Geolocation */],
            __WEBPACK_IMPORTED_MODULE_19__ionic_native_app_version__["a" /* AppVersion */],
            __WEBPACK_IMPORTED_MODULE_6__ionic_native_user_agent__["a" /* UserAgent */],
            { provide: __WEBPACK_IMPORTED_MODULE_1__angular_core__["u" /* ErrorHandler */], useClass: __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["e" /* IonicErrorHandler */] }
        ]
    })
], AppModule);

//# sourceMappingURL=app.module.js.map

/***/ }),

/***/ 329:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MyApp; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(44);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_status_bar__ = __webpack_require__(224);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__ = __webpack_require__(225);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_android_full_screen__ = __webpack_require__(226);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_insomnia__ = __webpack_require__(227);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_storage__ = __webpack_require__(51);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__angular_common_http__ = __webpack_require__(36);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__pages_login_login__ = __webpack_require__(117);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__pages_home_home__ = __webpack_require__(126);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__pages_about_about__ = __webpack_require__(251);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};










//import { SettingsPage } from '../pages/settings/settings';

const jsonHttpOptions = {
    headers: new __WEBPACK_IMPORTED_MODULE_7__angular_common_http__["c" /* HttpHeaders */]({ 'Content-Type': 'application/json' })
};
let MyApp = class MyApp {
    constructor(platform, statusBar, splashScreen, androidFullScreen, insomnia, app, storage, http, alertCtrl) {
        this.platform = platform;
        this.statusBar = statusBar;
        this.splashScreen = splashScreen;
        this.androidFullScreen = androidFullScreen;
        this.insomnia = insomnia;
        this.app = app;
        this.storage = storage;
        this.http = http;
        this.alertCtrl = alertCtrl;
        this.rootPage = __WEBPACK_IMPORTED_MODULE_8__pages_login_login__["a" /* LoginPage */];
        this.initializeApp();
        this.pages = [
            { title: 'Canais', component: __WEBPACK_IMPORTED_MODULE_9__pages_home_home__["a" /* HomePage */], icon: 'desktop', function: null },
            { title: 'Sobre', component: __WEBPACK_IMPORTED_MODULE_10__pages_about_about__["a" /* AboutPage */], icon: 'information-circle', function: null },
            { title: 'Logout', component: null, icon: 'log-out', function: 'logout' },
            { title: 'Sair', component: null, icon: 'exit', function: 'exit' }
        ];
    }
    logout() {
        var getRtoken = this.storage.get('rtoken');
        var getToken = this.storage.get('token');
        var getManagerUrl = this.storage.get('managerUrl');
        Promise.all([getRtoken, getToken, getManagerUrl]).then((arrayOfResults) => {
            var rtoken = arrayOfResults[0];
            var token = arrayOfResults[1];
            var managerUrl = arrayOfResults[2];
            var data = JSON.stringify({ "rtoken": rtoken, "token": token });
            this.http.put("https://" + managerUrl + "/auth", data, jsonHttpOptions).subscribe(response => {
                try {
                    hardStopPlayer();
                    this.storage.remove('rtoken');
                    this.storage.remove('token');
                    this.storage.remove('user');
                    this.storage.remove('expire');
                    this.storage.remove('managerUrl');
                    this.storage.remove('lastChannel');
                    this.storage.set('expired', false);
                    this.app.getRootNavs()[0].root = __WEBPACK_IMPORTED_MODULE_8__pages_login_login__["a" /* LoginPage */];
                }
                catch (e) {
                    console.log(e);
                    hardStopPlayer();
                    this.storage.remove('rtoken');
                    this.storage.remove('token');
                    this.storage.remove('user');
                    this.storage.remove('expire');
                    this.storage.remove('managerUrl');
                    this.storage.remove('lastChannel');
                    this.storage.set('expired', false);
                    this.app.getRootNavs()[0].root = __WEBPACK_IMPORTED_MODULE_8__pages_login_login__["a" /* LoginPage */];
                }
            }, error => {
                hardStopPlayer();
                this.storage.remove('rtoken');
                this.storage.remove('token');
                this.storage.remove('user');
                this.storage.remove('expire');
                this.storage.remove('managerUrl');
                this.storage.remove('lastChannel');
                this.storage.set('expired', false);
                this.app.getRootNavs()[0].root = __WEBPACK_IMPORTED_MODULE_8__pages_login_login__["a" /* LoginPage */];
            });
        });
    }
    exit() {
        this.platform.exitApp();
    }
    initializeApp() {
        this.platform.ready().then(() => {
            // Okay, so the platform is ready and our plugins are available.
            // Here you can do any higher level native things you might need.
            this.startFirstPage().then(() => {
                //Ionic bug na transicao da root page
                setTimeout(() => {
                    this.splashScreen.hide();
                }, 50);
            });
            this.statusBar.styleDefault();
            this.splashScreen.hide();
            this.androidFullScreen.isImmersiveModeSupported()
                .then(() => this.androidFullScreen.immersiveMode())
                .catch((error) => console.log(error));
            this.insomnia.keepAwake();
        });
    }
    startFirstPage() {
        return this.nav.setRoot(__WEBPACK_IMPORTED_MODULE_8__pages_login_login__["a" /* LoginPage */]);
    }
    openPage(page) {
        // Reset the content nav to have just this page
        // we wouldn't want the back button to show in this scenario
        //this.nav.setRoot(null);
        if (page.function != null) {
            if (page.function == 'logout') {
                let alerta = this.alertCtrl.create({
                    title: 'Logout',
                    message: 'Você realmente quer deslogar? Terá que colocar o usuario e senha novamente.',
                    buttons: [
                        {
                            text: 'Logout',
                            role: 'log-out',
                            handler: () => {
                                this.logout();
                            }
                        },
                        {
                            text: 'Voltar',
                            role: 'cancel',
                            handler: () => {
                            }
                        }
                    ]
                });
                alerta.present();
            }
            if (page.function == 'exit') {
                this.exit();
            }
        }
        else {
            if (page.component != this.app.getRootNavs()[0].root) {
                //"this.nav.setRoot(page.component);" doesn't work properly
                hardStopPlayer();
                this.app.getRootNavs()[0].root = page.component;
            }
        }
    }
};
__decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* Nav */]),
    __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* Nav */])
], MyApp.prototype, "nav", void 0);
MyApp = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({template:/*ion-inline-start:"/Users/cdntv/www/cdntv-android/ionic/src/app/app.html"*/'<ion-menu [content]="content">\n  <ion-header>\n    <ion-toolbar>\n      <ion-title color="light">Menu</ion-title>\n    </ion-toolbar>\n  </ion-header>\n\n  <ion-content>\n    <ion-list>\n      <button menuClose ion-item icon-start *ngFor="let p of pages" (click)="openPage(p)" class="menu-item">\n        <ion-icon name="{{p.icon}}"></ion-icon>\n        {{p.title}}\n      </button>\n    </ion-list>\n  </ion-content>\n\n</ion-menu>\n\n<!-- Disable swipe-to-go-back because it\'s poor UX to combine STGB with side menus -->\n<ion-nav #content swipeBackEnabled="false"></ion-nav>\n'/*ion-inline-end:"/Users/cdntv/www/cdntv-android/ionic/src/app/app.html"*/
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* Platform */], __WEBPACK_IMPORTED_MODULE_2__ionic_native_status_bar__["a" /* StatusBar */], __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__["a" /* SplashScreen */], __WEBPACK_IMPORTED_MODULE_4__ionic_native_android_full_screen__["a" /* AndroidFullScreen */], __WEBPACK_IMPORTED_MODULE_5__ionic_native_insomnia__["a" /* Insomnia */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["c" /* App */], __WEBPACK_IMPORTED_MODULE_6__ionic_storage__["b" /* Storage */], __WEBPACK_IMPORTED_MODULE_7__angular_common_http__["a" /* HttpClient */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */]])
], MyApp);

//# sourceMappingURL=app.component.js.map

/***/ }),

/***/ 333:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony default export */ __webpack_exports__["a"] = (function (hex, opacity) {
    // Expand shorthand form (e.g. "03F") to full form (e.g. "0033FF")
    let shorthandRegex = /^#?([a-f\d])([a-f\d])([a-f\d])$/i;
    hex = hex.replace(shorthandRegex, function (m, r, g, b) {
        return r + r + g + g + b + b;
    });
    let result = /^#?([a-f\d]{2})([a-f\d]{2})([a-f\d]{2})$/i.exec(hex);
    return result ? {
        r: parseInt(result[1], 16),
        g: parseInt(result[2], 16),
        b: parseInt(result[3], 16),
        a: opacity
    } : null;
});
//# sourceMappingURL=hexToRgb.js.map

/***/ }),

/***/ 376:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SettingsPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(44);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


let SettingsPage = class SettingsPage {
    constructor(navCtrl) {
        this.navCtrl = navCtrl;
    }
};
SettingsPage = __decorate([
    Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
        selector: 'page-settings',template:/*ion-inline-start:"/Users/cdntv/www/cdntv-android/ionic/src/pages/settings/settings.html"*/'<ion-header>\n  <ion-navbar>\n    <button ion-button menuToggle color="light">\n      <ion-icon name="menu"></ion-icon>\n    </button>\n    \n    <ion-title>Configurações</ion-title>\n  </ion-navbar>\n</ion-header>\n\n<ion-content>\n  <p style="color: white;">A implementar</p>\n</ion-content>\n'/*ion-inline-end:"/Users/cdntv/www/cdntv-android/ionic/src/pages/settings/settings.html"*/
    }),
    __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* NavController */]])
], SettingsPage);

//# sourceMappingURL=settings.js.map

/***/ })

},[252]);
//# sourceMappingURL=main.js.map